A level six or higher clan may found a Royal Guard at a cost of 5,000 reputation points.
As many as two Royal Guards may be formated this way. 20 eligible clan members must be able to assume positions in the Royal Guard at the time it is formed.
A single clan member must be appointed as Captain of the Royal Guard for each Royal Guard formed. the Captain's social status will improve with the appointment.
Found a Royal Guard.
Rename an existing Royal Guard.
Change the Captain of the Royal Guard.
Return